// 2D Repulsion
				// Grid 100 x 100. You may modify it for more or less precision
				// (which implies, of course, more or less computation time)
		grid=100;
		min=0;max=100; // Warning. Hard coded. Must be the same as in problemDef
		u=1./100; // For the repulsive action of the boundaries

		dx1=(max-min)/grid;
		dx2=(max-min)/grid;
		n=(int)xs.size/2; // Number of points

		f=0; // Total repulsive force to minimise
		for (i=0;i<n;i++)
		{
			// Coordinates of the first charged point
			x1=xs.x[2*i];
			x2=xs.x[2*i+1];
			
			// Add the repulsive force between the point and the boundaries
				f=f+u*(1./pow(x1-min,2) + 1./pow(max-x1,2)); 
				f=f+u*(1./pow(x2-min,2) + 1./pow(max-x2,2));
				
			for(j=0;j<n;j++)
			{
				if(j==i) continue;
				// Coordinates of the second charged point
			y1=xs.x[2*j];
			y2=xs.x[2*j+1];	
			
							// Add the repulsive force between the point and the boundaries
				f=f+u*(1./pow(y1-min,2) + 1./pow(max-y1,2)); 
				f=f+u*(1./pow(y2-min,2) + 1./pow(max-y2,2));
			
				// Add the repulsive force between the charged points
				f=f+1./(pow(x1-y1,2)+pow(x2-y2,2));
				
			}
		}
		
		

